[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.GetOptionValues

Get the values for an option that may be specified multiple times

## Declaration

Source position: custapp.pp line 73

`public function TCustomApplication.GetOptionValues(`
`const C: Char;`
`const S: string`
`):TStringArray;`

## Arguments

`C` |  | Short form of the command-line switch
`S` |  | Long form of the command-line switch

## Function result

All values specified using C or S switched.

## Description

GetOptionValues returns all values specified by command-line option switches C or S. For each occurrence of the command-line option C or S, the associated value is added to the array.

TCustomApplication.GetOptionValue will only return the first occurrence of a value.

## Errors

None.

## See also

TCustomApplication.GetOptionValue |  | Return the value of a command-line option.